Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawSectorLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawSectorLogicalStructure

public class DrawSectorLogicalStructure extends DrawItemLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Point`
  `centerPoint`
  `String`
  `endAngle`
  `String[]`
  `knobs`
  `String`
  `radius`
  `String`
  `rotation`
  `String`
  `showTitleLabelBackground`
  `String`
  `startAngle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, endArrow, eventOpaque, eventPassThrough, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineCap, lineColor, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, scale, shadow, showHover, showResizeOutline, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, titleRotationMode, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawSectorLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### centerPoint

    public Point centerPoint

  - ### endAngle

    public String endAngle

  - ### knobs

    public String[] knobs

  - ### radius

    public String radius

  - ### rotation

    public String rotation

  - ### showTitleLabelBackground

    public String showTitleLabelBackground

  - ### startAngle

    public String startAngle

- ## Constructor Details

  - ### DrawSectorLogicalStructure

    public DrawSectorLogicalStructure()